# PostDefendCritStatChangeAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostDefendCritStatChangeAbAttr

#### Hierarchy (view full)

- PostDefendAbAttr
  - PostDefendCritStatChangeAbAttr

- Defined in src/data/ability.ts:850

#####
Index

### Constructors

constructor

### Properties

levels
showAbility
stat

### Methods

addCondition
apply
applyPostDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostDefendCritStatChangeAbAttr(stat, levels): PostDefendCritStatChangeAbAttr

- #### Parameters

  - stat: BattleStat
  - levels: number

  #### Returns PostDefendCritStatChangeAbAttr

  Overrides PostDefendAbAttr.constructor

  - Defined in src/data/ability.ts:854

## Properties

### `Private` levels

levels: number

- Defined in src/data/ability.ts:852

### showAbility

showAbility: boolean

Inherited from PostDefendAbAttr.showAbility

- Defined in src/data/ability.ts:128

### `Private` stat

stat: BattleStat

- Defined in src/data/ability.ts:851

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostDefendAbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostDefendAbAttr.apply

  - Defined in src/data/ability.ts:135

### applyPostDefend

- applyPostDefend(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns boolean

  Overrides PostDefendAbAttr.applyPostDefend

  - Defined in src/data/ability.ts:861

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Overrides PostDefendAbAttr.getCondition

  - Defined in src/data/ability.ts:867

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostDefendAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:139